Summary:   The Insidious Big Brother Database
Name:      bbdb
Version:   2.00
Release:   1
Copyright: GNU General Public License v2
Group:     Applications/Editors/Emacs
Source0:   http://www.netcom.com/~simmonmt/bbdb/bbdb2.00.tar.gz
Source1:   bbdb-init.el
Patch:     bbdb-redhat.patch
URL:       http://www.netcom.com/~simmonmt/bbdb/index.html
Packager:  "William Evans" <william.evans@computer.org>
Requires:  emacs >= 19
BuildRoot: /tmp/bbdb-buildroot

%description
BBDB is a rolodex-like database program for GNU Emacs which is tightly
integrated with the Emacs mail and news readers (GNUS, VM, MH-E, and
RMAIL.)

%prep
%setup0
%patch -p1

%build
make all
for i in texinfo/bbdb.info* ; do gzip -9 $i ; done
gzip -c9 texinfo/bbdb.texinfo > bbdb.texinfo.gz

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb/
install --mode=0444 lisp/bbdb*.el lisp/bbdb*.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/bbdb/
mkdir -p $RPM_BUILD_ROOT/usr/info/
install --mode=0444 texinfo/bbdb.info* $RPM_BUILD_ROOT/usr/info/
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/etc/
install --mode=0444 tex/bbdb-cols.tex tex/bbdb-print-brief.tex tex/bbdb-print.tex $RPM_BUILD_ROOT/usr/share/emacs/etc/
install --mode=0644 $RPM_SOURCE_DIR/bbdb-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/

%post
/sbin/install-info /usr/info/bbdb.info.gz /usr/info/dir --section=Emacs --entry "* BBDB: (bbdb.info).    Rolodex-like database program for Emacs."

%postun
/sbin/install-info --delete /usr/info/bbdb.info.gz /usr/info/dir --section=Emacs --entry "* BBDB: (bbdb.info).    Rolodex-like database program for Emacs."

%files
%doc bbdb.texinfo.gz ChangeLog INSTALL README
/usr/share/emacs/site-lisp/bbdb-init.el
/usr/share/emacs/site-lisp/bbdb/
/usr/share/emacs/etc/bbdb-cols.tex
/usr/share/emacs/etc/bbdb-print.tex
/usr/share/emacs/etc/bbdb-print-brief.tex
/usr/info/bbdb.info.gz
/usr/info/bbdb.info-1.gz
/usr/info/bbdb.info-2.gz
/usr/info/bbdb.info-3.gz
